Average Handling Time (Basic authentication)

Returns AHT metrics for a given agent ID or a for a campaign.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API calculates the average handling time for outbound calls made by a specific agent or a campaign over the last two hours.

Please note that you only need to specify only one parameter between 'agentId' and 'campaignName'.

❗️

Rate Limit

  • This API allows a maximum of 50 Requests per minute.

👍

Note:

Make sure the admin setting 'API Authentication' is set to 'BASIC_AUTH', If you are using this API.


📘

APIs Domain Name

For domestic ccaas - enter the domain: in1-ccaas-api.ozonetel.com

For international ccaas - enter the domain: api.ccaas.ozonetel.com

For Partners - enter the respective URL

Possible responses

Success response for Campaign

"status": "success"

"message": "CampaignID": "xxxx""CampaignName": "xxxx"
"AHT": "00:00:27"

Success response for Agent

"status": "success"

"message": "AgentID": "xx""AgentName": "xxxxxxx"
"AHT":"00:02:37"

If userName is Empty

"status": "error"

"message": "userName should not be empty"

If apiKey is Empty

"status": "error"

"message": "apiKey should not be empty"

If both agentId and campaignName is not passed

"status": "error"

"message": "Both agentId and campaignName cannot be passed at a time"

If both agentId and campaignName is passed as empty fields

"status": "error"

"message": "Both agentId and campaignName cannot beempty"

If invalid apiKey or userName is passed

"status": "error"

"message": "userName or apiKey is Invalid"

If an invalid agentId is passed while fetching for a particular agent

"status": "error"

"message": "agentId is Invalid"

If an invalid campaignName is passed while fetching for a particular Campaign

"status": "error"

"message": "campaignName is Invalid"

If the Rate Limit exceeds

"status": "error"

"message": "max limit exceeded"

Body Params
string
required

CloudAgent account name

string

To get AHT for a specific campaign

string

To get AHT for a specific agent

Headers
string
required

Available in CloudAgent admin login

Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json